wxRuby Documentation Home

# Wx::TextEntryDialog

This class represents a dialog that requests a one-line text string from the user.
It is implemented as a generic Widgets dialog.

## Derived from

Dialog

Window

EvtHandler

Object

## See also

TextEntryDialog overview

## Methods

- TextEntryDialog.new
- TextEntryDialog#get_value
- TextEntryDialog#set_value
- TextEntryDialog#show_modal

### TextEntryDialog.new

TextEntryDialog.new(%(arg-type)Window% parent, String message, String caption = “Please enter text”, String defaultValue = "", Integer style = OK CANCEL CENTRE, Point pos = DEFAULT_POSITION)

Constructor. Use TextEntryDialog#show_modal to show the dialog.

#### Parameters

- parent Parent window.
- message Message to show on the dialog.
- defaultValue The default value, which may be the empty string.
- style A dialog style, specifying the buttons (OK, CANCEL)
  and an optional CENTRE style. Additionally, TextCtrl styles (such as
  `TE_PASSWORD`) may be specified here.
- pos Dialog position.

destructor()

Destructor.

### TextEntryDialog#get_value

String get_value()

Returns the text that the user has entered if the user has pressed OK, or the original value
if the user has pressed Cancel.

### TextEntryDialog#set_value

set_value(%(arg-type)String% value)

Sets the default text value.

### TextEntryDialog#show_modal

Integer show_modal()

Shows the dialog, returning ID_OK if the user pressed OK, and ID_CANCEL
otherwise.

[This page automatically generated from the Textile source at 2023-06-09 00:45:35 +0000]